Subject: bug#4944: 23.1.50; starting a server without forking a daemon

From: Kamil Cholewiński <[email-masked]>
Date: Wed, 18 May 2011 16:58:39 +0300

Hi all,

This bug is very relevant to my interests. I'm trying to run Emacs in
daemon mode under supervision of daemontools[1], and the current
behaviour (forking into the background) makes this a PITA. daemontools
includes a small utility called "fghack" which tries to keep a forked
process in the foreground, however terminating the service still
doesn't work properly. The proper solution recommended[2] by the
designers of daemontools in the FAQ is to "fix" the misbehaving
program.

By the way, this bug seems to be a duplicate of #2677 [3].

[1] http://cr.yp.to/daemontools.html
[2] http://cr.yp.to/daemontools/faq/create.html#fghack
[3] http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2677

Thanks,
Kamil